[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.AssignField

Copy value from field instance

## Declaration

Source position: db.pas line 1239

`public procedure TParam.AssignField(`
`Field: TField`
`);`

## Arguments

`Field` |  | Field instance to copy field name and value from.

## Description

AssignField copies the Field, FieldName and Value to the parameter instance. The parameter is bound after this operation. If Field is Nil then the parameter name and value are cleared.

## See also

TParam.assign |  | Assign one parameter instance to another
TParam.AssignToField |  | Assign parameter value to field
TParam.AssignFieldValue |  | Assign field value to the parameter.